# -*- coding: utf-8; -*-
################################################################################
#
#  Rattail -- Retail Software Framework
#  Copyright © 2010-2024 Lance Edgar
#
#  This file is part of Rattail.
#
#  Rattail is free software: you can redistribute it and/or modify it under the
#  terms of the GNU General Public License as published by the Free Software
#  Foundation, either version 3 of the License, or (at your option) any later
#  version.
#
#  Rattail is distributed in the hope that it will be useful, but WITHOUT ANY
#  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
#  FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
#  details.
#
#  You should have received a copy of the GNU General Public License along with
#  Rattail.  If not, see <http://www.gnu.org/licenses/>.
#
################################################################################
"""
Tasks for tailbone-wave
"""

import os
import shutil

from invoke import task


@task
def release(c):
    """
    Release a new version of tailbone-wave
    """
    # rebuild package
    if os.path.exists('dist'):
        shutil.rmtree('dist')
    if os.path.exists('tailbone_wave.egg-info'):
        shutil.rmtree('tailbone_wave.egg-info')
    c.run('python -m build --sdist')

    # upload to public PyPI
    c.run('twine upload dist/*')
